• All Community
    • All Community
    • Forums
    • Ideas
    • Blogs
Advanced

Not what you are looking for? Ask the experts!

Kudos0

Can't upgrade/renew from Internet Security for Mac (dual protection)

My Internet Security for Mac (dual protection version) has just expired today, and it offers me only two versions to select from, that I'm supposedly already running: 3.0 or 4.0, but the version I have is 2.1.1 (5), and I'm caught in an endless loop with no live customer service to figure out how to upgrade it correctly. I went to the page that offers auto detect, but it's PC only, so it's useless... what now? I need to get this thing protected, fast...

Replies

Kudos0

Re: Can't upgrade/renew from Internet Security for Mac (dual protection)

My Internet Security for Mac (dual protection version) has just expired today, and it offers me only two versions to select from, that I'm supposedly already running: 3.0 or 4.0, but the version I have is 2.1.1 (5), and I'm caught in an endless loop with no live customer service to figure out how to upgrade it correctly. I went to the page that offers auto detect, but it's PC only, so it's useless... what now? I need to get this thing protected, fast...

Accepted Solution
Kudos0

Re: Can't upgrade/renew from Internet Security for Mac (dual protection)

The version number you are looking at is for the Norton QuickMenu (sorry for the confusion).  The version of NIS should be the same as that of the Firewall.  If you open the Firewall from the QuickMenu and check its About..., the version should be 3.x or 4.x.  Hope that helps.

This thread is closed from further comment. Please visit the forum to start a new thread.